| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Public Attributes | List of all members
Tp::BaseFunctorCaller< T, Functor > Struct Template Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/callbacks.h>`

Inherits Tp::AbstractFunctorCaller.

## Public Member Functions

| BaseFunctorCaller (const Functor &functor, AbstractFunctorCaller::HookType invokeMethodHook)
virtual | ~BaseFunctorCaller ()
virtual AbstractFunctorCaller * | clone () const
Public Member Functions inherited from Tp::AbstractFunctorCaller
| AbstractFunctorCaller (HookType invokeMethodHook)
virtual | ~AbstractFunctorCaller ()

## Public Attributes

Functor | functor
Public Attributes inherited from Tp::AbstractFunctorCaller
HookType | invokeMethodHook

## Additional Inherited Members

Public Types inherited from Tp::AbstractFunctorCaller
typedef void *(* | HookType )(void *)

## Constructor & Destructor Documentation

template<class T, class Functor>

Tp::BaseFunctorCaller< T, Functor >::BaseFunctorCaller | ( | const Functor & | functor,
|  | AbstractFunctorCaller::HookType | invokeMethodHook
| ) |  |

inline

template<class T, class Functor>

virtual Tp::BaseFunctorCaller< T, Functor >::~BaseFunctorCaller | ( |  | ) |

inline virtual

## Member Function Documentation

template<class T, class Functor>

virtual AbstractFunctorCaller* Tp::BaseFunctorCaller< T, Functor >::clone | ( |  | ) | const

inline virtual

Implements Tp::AbstractFunctorCaller.

## Member Data Documentation

template<class T, class Functor>

Functor Tp::BaseFunctorCaller< T, Functor >::functor